import React, { useContext } from 'react'
import { Divider, ConfigProvider } from 'antd'
import styles from './index.less'

const Header = (props) => {

  // const { getPrefixCls } = useContext(ConfigProvider.ConfigContext)
  // const prefixCls = getPrefixCls('pandaXform')

  const { title, value } = props

  return (
    <div className={styles.object}>
      <div
        className={styles.title}
      >
        {title ? <i className={styles.bg}></i> : null}
        {title}
      </div>
      {title ? <Divider /> : ''}
      {props.children}
    </div>
  )
}

export default Header