import React from 'react'
import { InputNumber } from 'antd'

const NumerDefault = (props) => {

  const { value, onChange } = props

  const inputChange = (value) => {
    if (value !== null) {
      onChange(`${value}`)
    } else {
      onChange('')
    }
  }

  return (
    <InputNumber
      value={value === '' ? null : Number(value)}
      onChange={inputChange}
    />
  )

}

export default NumerDefault