import React, { useMemo } from 'react'
import { Select } from 'antd'
import { widgetData, getStyles } from '../../../../../constant'

const WidgetType = (props) => {

  const { value, onChange } = props

  return (
    <span
      style={{
        borderRadius: '5px',
        padding: '0 7px',
        border: '1px solid',
        ...getStyles(widgetData[value]?.type)
      }}>
      {widgetData[value]?.name}
    </span>
  )

}

export default WidgetType