import React, { useEffect } from 'react'
import { InputNumber } from 'antd'

const DecimalDigits = (props) => {

  const { value, onChange } = props

  useEffect(() => {
    if (!value) {
      onChange('2')
    }
  }, [])

  return (
    <InputNumber
      min={1}
      value={Number(value)}
      onChange={value => onChange(value ? `${parseInt(value)}` : '2')}
    />
  )

}

export default DecimalDigits